|
||||||||||
| PREV PACKAGE NEXT PACKAGE | FRAMES NO FRAMES | |||||||||
See:
Description
| Interface Summary | |
|---|---|
| Component.IVisitor | Generic component visitor interface for component traversals. |
| IDestroyer | Optional interface for initializers that can clean up
stuff initializers created. |
| IInitializer | Initializes something when application loads. |
| IPageFactory | A factory class that creates Pages. |
| IRedirectListener | Request listener called on page redirects. |
| IRequestCycleFactory | Factory for creating request cycles for a session. |
| IRequestListener | Base interface for all interfaces that listen for requests from the client browser. |
| IRequestTarget | A request target is the base entity that is the subject of a request. |
| IResourceFactory | A factory which creates resources for a given specification string. |
| IResourceListener | Listens for requests regarding resources. |
| IResponseFilter | A response filter can be added to the
IRequestCycleSettings.addResponseFilter(IResponseFilter) object
The will be called from the Buffered Response objects right before they would send it to the
real responses. |
| ISessionFactory | A factory interface used by Applications to create Sessions. |
| Session.IPageMapVisitor | Visitor interface for visiting page maps |
| Class Summary | |
|---|---|
| Application | Base class for all Wicket applications. |
| AttributeModifier | This class allows a tag attribute of a component to be modified dynamically with a value obtained from a model object. |
| Component | Component serves as the highest level abstract base class for all components. |
| Component.EnabledChange | A enabled change operation. |
| Component.VisibilityChange | A visibility change operation. |
| Initializer | Initializer for components in wicket core library. |
| Localizer | A utility class that encapsulates all of the localization related functionality in a way that it can be accessed by all areas of the framework in a consistent way. |
| MarkupContainer | A MarkupContainer holds a map of child components. |
| MetaDataKey | A key to a piece of metadata associated with a Component at runtime. |
| Page | Abstract base class for pages. |
| PageMap | A container for pages held in the session. |
| PageMap.Access | Holds information about a pagemap access |
| PageParameters | A typesafe abstraction and container for parameters to a requested page. |
| Request | Base class for page request implementations allowing access to request parameters. |
| RequestCycle | THIS CLASS IS DELIBERATELY NOT INSTANTIABLE BY FRAMEWORK CLIENTS AND IS NOT INTENDED TO BE SUBCLASSED BY FRAMEWORK CLIENTS. |
| RequestListenerInterface | Base class for request listener interfaces. |
| Resource | A Resource is something that implements IResourceListener and provides a getResource() method which returns the raw IResource to be rendered back to the client browser. |
| ResourceReference | ResourceReference is essentially a reference to an actual resource which is shared through the Application. |
| Response | Abstract base class for different implementations of response writing. |
| Session | Holds information about a user session, including some fixed number of most recent pages (and all their nested component information). |
| SharedResources | Class which holds shared resources. |
| Exception Summary | |
|---|---|
| AbortException | Immediately aborts any further processing. |
| AbortWithHttpStatusException | Deprecated. moves to package wicket.protocol.http.servlet in 2.0 |
| AbstractRestartResponseException | An exception that causes the request cycle to immediately switch to respond stage. |
| RestartResponseAtInterceptPageException | Causes Wicket to interrupt current request processing and immediately redirect to an intercept page. |
| RestartResponseException | Causes wicket to interrupt current request processing and immediately respond with the specified page. |
| WicketRuntimeException | Generic runtime exception subclass thrown by Wicket. |
The core Wicket package. The key core classes you will need to learn to do basic Wicket programming are:
Application / WebApplication - Subclass WebApplication to create your application.
Set your home page with Application.getPages().setHomePage(MyHomePage.class).
Configure Wicket for deployment with Application.getSettings().configure("deployment").
Substitute "development" to get default settings for a development environment.
Component - You will need to carefully study this class as Component is very
central to Wicket. There are a large number of convenience methods in Component
and, naturally, every component in Wicket is a subclass of Component, so all these
methods are available to all Components.
IRequestCycleFactory - If you are working with a persistence framework
such as Hibernate or JDO, you may need to implement a request cycle factory in order
to open a persistence session at the beginning of a request and close the session
at the end of the request.
ISessionFactory - For all but the most trivial applications, you will
need to create your own session factory. Your implementation of this interface
will generally be quite simple, generally just returning a new instance of your
own application-specific subclass of WebSession.
MarkupContainer - You will need to study MarkupContainer carefully as
this class contains all the logic for creating and maintaining component hierarchies.
Page / WebPage - Every page in your wicket application will extend WebPage
(or some other subclass of Page if you are writing something other than a web application).
There are a number of important methods in Page and you should be familiar with all of them.
PageParameters - A simple wrapper for query string parameters.
Session / WebSession - It is particularly important to understand Session
if you are doing clustering, but even for a very basic application you will want
to create your own subclass of WebSession using a session factory so that you can
store any session properties in a typesafe way. Note that since Pages are first
class objects with models of their own, it is likely or at least possible that you
will not have many session properties.
|
||||||||||
| PREV PACKAGE NEXT PACKAGE | FRAMES NO FRAMES | |||||||||